LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XRedlinesSupplier Interface Referencepublished

provides access to a container of the redline objects of the document. More...

`import"XRedlinesSupplier.idl";`

Inheritance diagram for XRedlinesSupplier:

## Public Member Functions
com::sun::star::container::XEnumerationAccess | getRedlines ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

provides access to a container of the redline objects of the document.

Developers Guide
  Text - Redline

## Member Function Documentation

com::sun::star::container::XEnumerationAccess getRedlines | ( |  | ) |

Returns
  an enumeration access that provides access to the redline objects of the document.

The returned objects implement at least the interface com::sun::star::beans::XPropertySet. Specific objects may support other interfaces as well.

The documentation for this interface was generated from the following file:

- com/sun/star/document/XRedlinesSupplier.idl